Ubuntu does not update to 7.0

#1

The update for version 7.0 does not work correctly using Ubuntu 16.04 LTS after upgrading team. While Windows clients are getting updated normaly (to 7.0.4) the Linux clients are still hanging around on version 6.7.4 complaining about the missing update while syncing endlessly.

Purging local configurations and reinstalling did not resolve the problem. A regular download for current stable version 7.0.4 is not available for direct download for any OS. I switched to the canary release which did the job even under Linux, but I would like to stick to stable versions as we are working in teams here.

Any help here?

#2

If you are using Postman for Linux, and had installed the app via ‘Ubuntu Software Center’ or ‘Snap Store’, you will not be able to update the app via the steps explained above. Please use the following commands to update your app via the terminal:

sudo snap switch --channel=candidate postman
sudo snap refresh postman
1 Like
#3

We are using Postman by directly downloading the standalone application. The limitations when using applications via snap are too big for everydays developer life. Automatic updates did work very well the last times, so I guess this is not the cause for my problem (just checked it, we do not have any snap applications in use).

Any other ideas? Can we download the current stable release somewhere? Basically we do not care if we updated to the latest stable or just reinstall Postman. As long as it is works… :wink:

#4

@clxmcon Thanks for clarifying. We had temporarily paused 7.0.x version for Linux this weekend - that might have caused the confusion. We have just enabled 7.0.5 via auto-updates from Postman v6 now. Could you try updating again?

1 Like
#5

Awesome! Works like a charm! My colleagues around me also just updated to v7.0.5.

@numaan Thanks very much for your quick help and response!

1 Like
#6

@clxmcon Happy to see y’all on Postman v7.0 :slight_smile:

2 Likes
#7

I seem to be having the same problem. If I run Check for updates Postman says:
You are up to date! Postman v6.7.4 is the latest version.

I think I also installed manually (snap list doesn’t list postman, nor does apt)